Bug 1807476 - pvs-sbcl not installable on f32+, needs to be rebuilt for sbcl update
Summary: pvs-sbcl not installable on f32+, needs to be rebuilt for sbcl update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pvs-sbcl
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 13:10 UTC by Fabio Valentini
Modified: 2020-03-16 20:30 UTC (History)
1 user (show)

Fixed In Version: pvs-sbcl-7.0-1.20200218.a1f7148.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:17:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2020-02-26 13:10:09 UTC
$ mock -r fedora-rawhide-x86_64 install pvs-sbcl

Error: 
 Problem: conflicting requests
  - nothing provides sbcl = 1.4.14-3.fc31 needed by pvs-sbcl-7.0-1.20200129.b517ae2.fc32.x86_64

$ mock -r fedora-32-x86_64 install pvs-sbcl

Error: 
 Problem: conflicting requests
  - nothing provides sbcl = 1.4.14-3.fc31 needed by pvs-sbcl-7.0-1.20200129.b517ae2.fc32.x86_64

Comment 1 Jerry James 2020-02-28 18:46:09 UTC
In the past, the sbcl maintainer has kindly rebuilt pvs-sbcl when updating sbcl, but did not this time for some reason.  Furthemore, pvs-sbcl does not rebuild with sbcl 2.0.1.  The build hangs.  Whether this represents a bug in sbcl or a bug in pvs-sbcl remains to be seen ... but the build did not hang with sbcl 1.4.14.

Comment 2 Jerry James 2020-02-28 21:56:34 UTC
Yes, pvs-sbcl needed a small adjustment to work with sbcl 2.x.  I've had a successful mock build, now trying a full package build.

Comment 3 Fedora Update System 2020-02-28 23:07:17 UTC
FEDORA-2020-d5ea7f05f0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5ea7f05f0

Comment 4 Fedora Update System 2020-02-29 01:22:51 UTC
pvs-sbcl-7.0-1.20200218.a1f7148.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d5ea7f05f0

Comment 5 Fedora Update System 2020-03-16 20:17:43 UTC
pvs-sbcl-7.0-1.20200218.a1f7148.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-03-16 20:30:17 UTC
pvs-sbcl-7.0-1.20200218.a1f7148.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.